Package com.independentsoft.office.charts

# Class DoughnutChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.DoughnutChart

public class DoughnutChart extends Chart
The Class DoughnutChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoughnutChart()`
  Instantiates a new doughnut chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DoughnutChart`
  `clone()`
  `List<BarChartSerie>`
  `getBarChartSeries()`
  Gets the bar chart series.
  `BarDirection`
  `getBarDirection()`
  Gets the bar direction.
  `BarGrouping`
  `getBarGrouping()`
  Gets the bar grouping.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `int`
  `getFirstSliceAngle()`
  Gets the first slice angle.
  `int`
  `getHoleSize()`
  Gets the hole size.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setBarDirection​(BarDirection barDirection)`
  Sets the bar direction.
  `void`
  `setBarGrouping​(BarGrouping barGrouping)`
  Sets the bar grouping.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setFirstSliceAngle​(int firstSliceAngle)`
  Sets the first slice angle.
  `void`
  `setHoleSize​(int holeSize)`
  Sets the hole size.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DoughnutChart

    public DoughnutChart()
    Instantiates a new doughnut chart.

- ## Method Details

  - ### clone

    public DoughnutChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBarDirection

    public BarDirection getBarDirection()
    Gets the bar direction.
    Returns:
      the bar direction

  - ### setBarDirection

    public void setBarDirection​(BarDirection barDirection)
    Sets the bar direction.
    Parameters:
      `barDirection` - the new bar direction

  - ### getBarGrouping

    public BarGrouping getBarGrouping()
    Gets the bar grouping.
    Returns:
      the bar grouping

  - ### setBarGrouping

    public void setBarGrouping​(BarGrouping barGrouping)
    Sets the bar grouping.
    Parameters:
      `barGrouping` - the new bar grouping

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getBarChartSeries

    public List<BarChartSerie> getBarChartSeries()
    Gets the bar chart series.
    Returns:
      the bar chart series

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors

  - ### getFirstSliceAngle

    public int getFirstSliceAngle()
    Gets the first slice angle.
    Returns:
      the first slice angle

  - ### setFirstSliceAngle

    public void setFirstSliceAngle​(int firstSliceAngle)
    Sets the first slice angle.
    Parameters:
      `firstSliceAngle` - the new first slice angle

  - ### getHoleSize

    public int getHoleSize()
    Gets the hole size.
    Returns:
      the hole size

  - ### setHoleSize

    public void setHoleSize​(int holeSize)
    Sets the hole size.
    Parameters:
      `holeSize` - the new hole size